INCLUDES=$(all_includes)
noinst_LTLIBRARIES=libmisc.la
noinst_HEADERS = \
	argsparser.h \
	builtin_stuff.h \
	calcpaths.h \
	common.h \
	conic-common.h \
	coordinate.h \
	coordinate_system.h \
	cubic-common.h \
	goniometry.h \
	guiaction.h \
	kigfiledialog.h \
	kiginputdialog.h \
	kignumerics.h \
	kigpainter.h \
	kigtransform.h \
	lists.h \
	object_constructor.h \
	object_hierarchy.h \
	rect.h \
	screeninfo.h \
	special_constructors.h

libmisc_la_SOURCES = \
	argsparser.cpp \
	builtin_stuff.cpp \
	calcpaths.cpp \
	common.cpp \
	conic-common.cpp \
	coordinate.cpp \
	coordinate_system.cpp \
	cubic-common.cpp \
	goniometry.cpp \
	guiaction.cpp \
	kigfiledialog.cpp \
	kiginputdialog.cpp \
	kignumerics.cpp \
	kigpainter.cpp \
	kigtransform.cpp \
	lists.cpp \
	object_constructor.cpp \
	object_hierarchy.cpp \
	rect.cpp \
	screeninfo.cpp \
	special_constructors.cpp

libmisc_la_LIBADD=-lm
METASOURCES=AUTO
